{% extends '../index.html' %}
{% load static %}

{% block head_content %}
  <title>Sign up • Neogram</title>
{% endblock head_content %}

{% block body %}
  <div class="container vh-100">

    <div class="row d-flex vh-100 align-items-center justify-content-center">
      <div class="col-4">
        <div class="border pt-4 pb-4 pr-4 pl-4">
    
          <div class="row justify-content-center">
            <div class="col-6">
              <img class="img-fluid" src="{% static 'neogram_logo.png' %}" alt="neogram_logo" >
            </div>
          </div>

          <div class="row justify-content-center pt-3 pb-3">
            <div class="col-10">
              <h5 class="text-secondary text-center font-weight-bold">Sign up to see photos from your friends</h5>
            </div>
          </div>
          <form action="{% url 'accounts:signup' %}" method="post">
              {% csrf_token %}

              {% if form.errors %}
                <div class="invalid-feedback">{{ form.errors }}</div>
              {% endif %}

              <div class="form-group">
                <input class="form-control {% if form.email.errors %}is-invalid{% endif %}" type="email" name="email" id="email-login" placeholder="Email">
                {% if form.email.errors %}{% for error in form.email.errors %}<div class="invalid-feedback">{{ error }}</div>{% endfor %}{% endif %}
              </div>

              <div class="form-group">
                <input class="form-control {% if form.first_name.errors %}is-invalid{% endif %}" type="text" name="first_name" id="first-name" placeholder="Full name">
                {% if form.first_name.errors %}{% for error in form.first_name.errors %}<div class="invalid-feedback">{{ error }}</div>{% endfor %}{% endif %}
              </div>

              <div class="form-group">
                <input class="form-control {% if form.username.errors %}is-invalid{% endif %}" type="text" name="username" id="username" placeholder="Username">
                {% if form.username.errors %}{% for error in form.username.errors %}<div class="invalid-feedback">{{ error }}</div>{% endfor %}{% endif %}
              </div>

              <div class="form-group">
                <input class="form-control {% if form.password1.errors %}is-invalid{% endif %}" type="password" name="password1" id="password1" placeholder="Password">
                {% if form.password1.errors %}{% for error in form.password1.errors %}<div class="invalid-feedback">{{ error }}</div>{% endfor %}{% endif %}
              </div>

              <div class="form-group">
                <input class="form-control {% if form.password2.errors %}is-invalid{% endif %}" type="password" name="password2" id="password2" placeholder="Password confirmation">
                {% if form.password2.errors %}{% for error in form.password2.errors %}<div class="invalid-feedback">{{ error }}</div>{% endfor %}{% endif %}
              </div>

              <input class="btn btn-primary btn-block" type="submit" value="Sign up">
          </form>
        </div>

        <div class="border w-100 mt-3 d-flex justify-content-center">
          <div class="mt-3 mb-3">
            <span>Have an account?</span>
            <a href="{% url 'accounts:login' %}" class="text-decoration-none font-weight-bold">Log in</a>
          </div>
        </div>

      </div>
    </div>
  </div>
{% endblock body %}
